
/*
/////////////////////////
UNIVERSAL CARD STRUCTURE
/////////////////////////
*/

.BN-card{	
	display: block;
	margin-top:10px;
	margin-bottom:10px;
}

.BN-card .BN-item{
	flex: 1;
}

.BN-main .BN-card:first-child, .BN-main .BN-row:first-child, .BN-main .BN-strip:first-child, .BN-main .BN-box:first-child, .BN-header .BN-col .BN-card:first-child, .BN-footer .BN-col .BN-card:first-child{margin-top: 0;}
.BN-main .BN-card:last-child, .BN-main .BN-row:last-child, .BN-main .BN-strip:last-child, .BN-main .BN-box:last-child, .BN-header .BN-col .BN-card:last-child, .BN-footer .BN-col .BN-card:last-child{margin-bottom: 0;}

.BN-main .BN-strip .BN-card:last-of-type, .BN-main .BN-box .BN-card:last-of-type, .BN-main .BN-col .BN-card:last-of-type{margin-bottom: 0;}


/* ========== SEED CARDS WITH DEFAULTS ========== */
.card-headline { font-size: 36px; color: #2396F5; 
font-family: 'Avenir Next W02', sans-serif; }
.card-text { font-size: 16px; color: #666; 
font-family: 'Avenir Next W02', sans-serif; }
.card-quote blockquote { font-size: 20px; color: #666;
font-family: 'Avenir Next W02', sans-serif; }
.card-button a { font-family: 'Avenir Next W02', sans-serif; }


/*
/////////////////
INDIVIDUAL CARDS
/////////////////
*/


/*BUTTON*/
.card-button a{
	margin-bottom: 0 !important;
}

.card-button a {
	border:none;
	border-bottom:3px solid;
	padding:13px 25px 15px 25px;
	border-radius: 5px;
	border-bottom-color: rgba(0,0,0,0.5);
	margin-bottom: 0;
	line-height: 1.2;
}

.card-button a:hover{
	text-decoration: none;
	cursor: pointer;
}

.card-button .btn{
	white-space: normal;
}

/*CHECKLIST - DEPRECIATED OLD VERSION - NOT CLICKABLE
.BN-card.card-checklist{

}

.BN-card.card-checklist ul{
	list-style-type: none;
	padding:0;
	margin-bottom:0;
	margin-left: 0;
	display: table; ensures that indent is preserved when text flows onto 2 lines
	table-layout: auto;
	border-collapse: collapse;
}

.BN-card.card-checklist ul li{
	margin-left: 0;
	display: table-row; ensures that indent is preserved when text flows onto 2 lines
	border-bottom: 15px solid transparent;
}

.BN-card.card-checklist ul li:last-child{
	border-bottom: none;
}

.BN-card.card-checklist ul li:last-child{
	margin-bottom: 0;
	padding-bottom: 0;
}

.BN-card.card-checklist li span{
	display: table-cell; ensures that indent is preserved when text flows onto 2 lines
	width:7.5%;
}
*/

/*DIVIDER*/
BN-card.card-divider{
	margin-bottom:10px;
	margin-top:10px;
}


.BN-card.card-divider hr{
	width: 100%;
	border: none;
	border-bottom-width: 2px;
	border-bottom-style: solid;
	margin:0 auto;
	
  	min-height: 1px; /* otherwise not selectable */
}



/*IMAGE - STANDARD */
.BN-card.card-image{
	
}

.BN-card.card-image img{
	max-width: 100%;
	height: auto;
}

/*CARD - GALLERY */
.BN-card.card-gallery{
	flex-flow: row wrap; 
	display: flex;
	flex: 0 0 auto;
}

.BN-card.card-gallery .BN-item{
	flex: auto;
	font-size: 0;
}

.BN-card.card-gallery .BN-item img{
	margin-bottom: 0 !important;
}

/*CARD - HEADLINE*/
.BN-card.card-headline{
word-break: break-word;
}

.BN-card.card-headline h1 {

}

.BN-card.card-headline *{
	margin-bottom: 0;
}

/*Icons*/
.BN-card.card-icons{
	margin-bottom: 0;
}

.BN-card.card-icons ul{
	margin: 0;
	width: 100%;
}

.BN-card.card-icons li{
	display: inline-block;
	line-height: 0;
	margin-bottom: 1rem;
}

.BN-card.card-icons li:first-child{
	margin-left: 0;
}


.BN-card.card-icons li a{
	text-decoration: none;
	line-height: 0;
	display: block;
}

/*CARD - Checkbox*/
.BN-card.card-checkbox{
	font-weight: normal;
    line-height: 1.1;            
    display: grid;
    grid-template-columns: 1em auto;
    gap: 0.5em;
}

.BN-card.card-checkbox input{
	margin-top:0;
}	

.BN-card.card-checkbox label{
	font-weight: normal;
	margin-bottom: 0;
}

/*CARD - Textarea*/
.BN-card.card-textarea textarea{
	resize:none;
	width:100%;
	margin-bottom:0;
	border-style: solid;
	padding:10px;
}	

.BN-card.card-textarea textarea:focus-visible{
	outline:none;
}

/*CARD - QUOTE*/
.BN-card.card-quote{
	
}

.BN-card.card-quote blockquote{	
	border-left: 5px solid;
	margin: 0;
	padding: 10px 0 10px 5%;
	width: 100%;
}

.BN-card.card-quote p{
	font-style: italic;
    font-size: inherit;
}

.BN-imported .BN-main .BN-card.card-quote p{
    font-size: inherit;
}

.BN-card.card-quote p.source{
	font-style: normal;
  /* color: inherit !important; */
	margin-bottom: 0;
}

.BN-card.card-quote:before{
	
}

.BN-card.card-quote:after{
	
}

/*CARD - SPACER*/
.BN-card.card-spacer{
	height: 20px;
	margin-top:0;
	margin-bottom:0;
}

.BN-preview .BN-card.card-spacer.active,
.BN-preview .BN-card.card-spacer:hover{
	background: repeating-linear-gradient(
  45deg,
  rgba(47,132,202,0.7),
  rgba(47,132,202,0.7) 10px,
  rgba(35,150,245,0.5) 10px,
  rgba(35,150,245,0.5) 20px
);
	outline: none !important;	
}

@media only screen and (max-width: 815px)  {
	.BN-card.card-spacer{max-height: 100px;}
}


/*CARD - TABLE OF CONTENTS (TOC)*/
.BN-card.card-toc li{
	padding-bottom:20px;
}

.BN-card.card-toc li a{
	color:inherit;
}

.BN-card.card-toc li a:hover{
	color:inherit;
}


/*CARD - TEXT*/

.BN-card.card-text{
	column-gap:50px;
	overflow-wrap: break-word;
}

.BN-card.card-text *{
	width: 100%;
}

.BN-card.card-text img{
	max-width: 100%;
	width: auto;
}

.BN-card.card-text li{
	width: auto;
}

.BN-card.card-text blockquote{
	font-style: italic;
	font-size: 110%;
	border-left: 5px solid;
	padding-left: 5%;
}

.BN-card.card-text *:last-child{
	margin-bottom: 0 !important;
}

.BN-card.card-text *:first-child{
	margin-top: 0 !important;
}

/* CARD - AI TEXT */
.BN-card.card-ai-text *:last-child{
	margin-bottom: 0 !important;
}

.BN-card.card-ai-text *:first-child{
	margin-top: 0 !important;
}

/*CARD - VIDEO*/
	.BN-card.card-video{
		width: auto !important;
	}

	.BN-card.card-video .BN-vid-container *,
	.BN-card.card-video .BN-vid-container iframe{
		position: absolute;
		top: 0;
		left: 0;
		width: 100% !important;
		height: 100% !important;
		z-index: 1;
	}
  
  .BN-card.card-video .overlay {
	display: none;
    /*position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 20%;
    background: rgba(0,0,0,0.5);
    z-index: 999999;
    text-align: center*/
  }


/*CARD - WORKSHEET - depreciated
.BN-card.card-worksheet{
	flex-direction: column;
}

.BN-card.card-worksheet label{
	width:100%;
}

.BN-card.card-worksheet textarea{
	width:100%;
	margin-top: 5px;
	margin-bottom: 1rem;
	resize: none;
	height: 44px;
	padding:0;
}

.BN-card.card-worksheet textarea:last-child{
	margin-bottom: 0;	
}

.BN-card.card-worksheet textarea:focus{
	outline:none;
}
*/

/*CARD - SOCIAL*/

ul.BN-social{
	list-style-type: none;
	padding:0;
	display: flex;
	flex-direction: row;
	margin: 0;
	margin-bottom:0 !important;
    text-align: center;
}

.BN-imported ul.BN-social{
	max-width:100%;
}

.BN-social li,
.BN-imported .BN-card .BN-social li{
	display: flex;	
	 text-align: center;
	 border-radius:5px;
	 margin-left:5px !important;	 
	 margin-right:5px !important;	 
	 flex-basis:100%;
}

.BN-social li a,
.BN-imported .BN-col-inner .BN-social a{
	display: block;
	padding:10px;
	border:3px;
	color:#fff;
	border-radius: 5px;
	text-decoration: none;
	font-size: 115%;
	margin: auto;
}

.BN-social li:hover{
	transition: background 0.2s;
}

.BN-social li.BN-twitter{background: hsla(203, 89%, 53%, 100%);}
.BN-social li.BN-twitter:hover{background: hsla(203, 89%, 60%, 100%); text-decoration:none; color:#fff;}
.BN-social li.BN-facebook{background: hsla(220, 46%, 31%, 100%);}
.BN-social li.BN-facebook:hover{background: hsla(220, 46%, 45%, 100%); text-decoration:none; color:#fff;}
.BN-social li.BN-linkedin{background: hsla(210, 90%, 40%, 100%);}
.BN-social li.BN-linkedin:hover{background: hsla(210, 90%, 45%, 100%); text-decoration:none; color:#fff;}
.BN-social li.BN-mailto{background: hsla(0, 0%, 0%, 50%);}
.BN-social li.BN-mailto:hover{background: hsla(0, 0%, 0%, 75%); text-decoration:none; color:#fff;}

@media only screen and (max-width: 815px)  {
ul.BN-social{
    flex-direction:column;
}

.BN-social li,
.BN-imported .BN-card .BN-social li{
    margin-right:0 !important;
    margin-left:0 !important;
    margin-bottom:5px;
}
}
